Skip to main content

Execute a bot with request body

POST /bots
alphahttps://api.sandbox.ovok.com

This API executes a bot by its identifier.
Additional parameters can be provided in the request body.

Example bot resource

{
"resourceType": "Bot",
"identifier": [{
"system": "https://example.com",
"value": "get-users"
}],
...
}

Example cURL request

The bot identifier is provided in the query, while additional parameters are sent in the JSON body.

curl -X POST \
--url 'https://api.dev.ovok.com/bots?identifier=https://example.com|get-users' \
-H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpYXQiOjE3MzEzMzY0NDIsImV4cCI6MTczMTM0MDA0Mn0.MQbovtK2tKu8Zj6_7vaqSVXWunIG8-iuwa6JEXCqXAQ' \
-H 'Content-Type: application/json' \
-d '{
"parameter1": "value1",
"parameter2": "value2"
}'

Note: The https://example.com|get-users query parameter value consists of identifier's system and value properties merged by a single pipe | symbol, following the FHIR search parameter syntax.

Parameters

NameInTypeRequiredDescription
identifierquerystringyesIdentifier containing system and/or value parameters, e.g.: "https://api.ovok.com/fhir/Identifier/my-resource

Responses

CodeDescription
200Bot response.
400The request could not be operated by the server.
401The resource owner or authorization server denied the request.
404The requested resource could not be found.
422The request could not be validated by the server.
500The server encountered an unexpected condition. Please try again later.